Definition of attribute set handlers

## Macros

#define | FLEXT_CALLSET_F(SFUN)
| Declare a set function for a float attribute. More...
#define | FLEXT_CALLSET_I(SFUN)
| Declare a set function for an integer attribute. More...
#define | FLEXT_CALLSET_B(SFUN)
| Declare a set function for a boolean attribute. More...
#define | FLEXT_CALLSET_E(SFUN, TP)
| Declare a set function for an enum attribute. More...
#define | FLEXT_CALLSET_S(FUN)
| Declare a set function for a symbol attribute. More...
#define | FLEXT_CALLSET_V(FUN)
| Declare a set function for a variable list attribute. More...

## Detailed Description

## Macro Definition Documentation

## FLEXT_CALLSET_B

#define FLEXT_CALLSET_B | ( |  | SFUN | ) |

Value:
\
FLEXT_CALLSET_(SFUN,bool)

Declare a set function for a boolean attribute.

## FLEXT_CALLSET_E

#define FLEXT_CALLSET_E | ( |  | SFUN,
|  |  | TP
| ) |  |

Value:
\
FLEXT_CALLSET_(SFUN,TP)

Declare a set function for an enum attribute.

## FLEXT_CALLSET_F

#define FLEXT_CALLSET_F | ( |  | SFUN | ) |

Value:
\
FLEXT_CALLSET_(SFUN,float)

Declare a set function for a float attribute.

## FLEXT_CALLSET_I

#define FLEXT_CALLSET_I | ( |  | SFUN | ) |

Value:
\
FLEXT_CALLSET_(SFUN,int)

Declare a set function for an integer attribute.

## FLEXT_CALLSET_S

#define FLEXT_CALLSET_S | ( |  | FUN | ) |

Value:
static bool FLEXT_SET_PRE(FUN)(flext_base *c,const t_symbol *&arg) \
{ FLEXT_CAST<thisType *>(c)->FUN(arg); return true; }

Declare a set function for a symbol attribute.

## FLEXT_CALLSET_V

#define FLEXT_CALLSET_V | ( |  | FUN | ) |

Value:
static bool FLEXT_SET_PRE(FUN)(flext_base *c,flext::AtomList *&arg) \
{ FLEXT_CAST<thisType *>(c)->FUN(*arg); return true; }

Declare a set function for a variable list attribute.

flext_base
Definition: flclass.h:58
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition: flbase.h:339